Subject: Linux HOWTO Index
From: [email-masked] (Matt Welsh)
Date: 15 Dec 1993 22:07:52 GMT
Newsgroups: comp.os.linux.announce,comp.os.linux.help,comp.os.linux.admin,news.answers,comp.answers

Archive-name: linux/howto/index
Last-modified: 13 December 1993

The Linux HOWTO Index 
Matt Welsh, <[email-masked]>
-----------------------------------------------------------------------------
Last Modified 13 December 1993

This is an introduction and index to the Linux HOWTO documents. 

0. What are Linux HOWTOs?

	Linux HOWTOs are short online documents which describe in detail
	a certain aspect of configuring or using the Linux system. For 
	example, there is the Installation HOWTO, which gives instructions
	on installing Linux, and the Mail HOWTO, which describes how to
	set up and configure mail under Linux. Other examples include the
	NET-2-HOWTO (previously the NET-2-FAQ) and the Linux-vs-386BSD HOWTO.

	Information in HOWTOs is generally more detailed and in-depth than
	what can be squeezed into the Linux FAQ. For this reason, the
	Linux FAQ is being rewritten. A large amount of the information
	contained therein will be relegated to various HOWTO documents.
	The FAQ will be a shorter list of frequently asked questions about 
	Linux, covering small specific topics. Most of the ``useful'' 
	information in the FAQ will now be covered in the HOWTOs. 

	HOWTOs are comprehensive docs---much like an FAQ but generally not
	in question-and-answer format. However, many HOWTOs contain an FAQ
	section at the end. For example, the NET-2-FAQ has been renamed to
	the NET-2-HOWTO, because it wasn't in question-and-answer format. 
	However, you will see the NET-2-HOWTO named as the NET-2-FAQ in many
	places. The two docs are one and the same.

1. Where to get Linux HOWTOs

	HOWTOs can be retrieved via anonymous FTP from the following
	sites:

		sunsite.unc.edu:/pub/Linux/docs/HOWTO

		tsx-11.mit.edu:/pub/linux/docs/HOWTO

	The Index, printed below, lists the currently available HOWTOs.

	HOWTOs are also posted regularly to the newsgroups comp.os.linux
	and comp.os.linux.announce. In addition, a number of the HOWTOs
	will be crossposted to news.answers. Therefore, you can find the
	Linux HOWTOs on the news.answers archive site rtfm.mit.edu.

2. HOWTO Index
	
	The following Linux HOWTOs are currently available. The list
	is small, because this is a relatively new project. 

	* INSTALLATION HOWTO. How to obtain and install Linux. This is the
	  first document which a Linux newcomer should read. It discusses
	  how to obtain Linux, both from the Internet and via Snail-mail,
	  and how to install it. Focuses primarily on the SLS distribution
	  of Linux, which is the current de facto standard.

	* Linux INFO-SHEET. A general technical introduction to Linux,
	  listing its features, supported hardware, and other general
	  information. 

	* Linux META-FAQ. A list of sources of information about Linux,
	  such as documentation, newsgroups, FTP sites, and so on.

	* Linux Distribution HOWTO. A list of many of the major Linux 
	  distributions available via anonymous FTP and via mail order
	  on diskette, tape, or CD-ROM. Also includes other Linux-related
	  goodies that you can only get via mail order.

	* NET-2 HOWTO. Describes how to install and configure the Linux NET-2 
  	  TCP/IP code, in kernels 0.99.pl10 and above. (This has nothing 
	  to do with the so-called BSD NET-2 distribution.) Discusses various
	  aspects of TCP/IP networking under Linux, including the use of SLIP.
	  The complete instruction manual for TCP/IP under Linux.
	
	* Ethernet HOWTO. A HOWTO about the various Ethernet device drivers
	  which are available for Linux. Should be read along with the NET-2
	  HOWTO by anyone using Ethernet for TCP/IP on Linux.

	* XFree86 HOWTO. This HOWTO describes how to install and configure
	  XFree86-2.0 for Linux. Most of this is Linux-specific, and expects
	  you to read the documentation included in the XFree86-2.0 package.

	* Mail HOWTO. All about configuration of electronic mail with Linux,
	  including UUCP and TCP/IP mailers such as Smail and sendmail.

	* UUCP HOWTO. How to configure UUCP to transfer files, mail, and
	  news to other UNIX machines on a UUCP-based connection. Includes
	  discussion of Taylor UUCP for Linux.
	
	* News HOWTO. Setup and configuration of news software, such as 
	  C News, INN, and newsreaders (such as rn and tin) under Linux.

	* Printing HOWTO. How to configure and use printing software under
	  Linux, such as lp, lpr, etc. including remote printing.

	* SCSI HOWTO. All about SCSI tapes, drives, and CD-ROMs under Linux.

	* Hardware Compatibility HOWTO. An extensive list of hardware 
  	  supported by Linux.

	WANTED. I would be very happy if someone would write the following 
	HOWTO documents, and submit them to me (see the instructions in
	the next section below). Most of these are modifications of existing
	FAQ documents, and should be easy to put into HOWTO format. Keep in
	mind that HOWTOs generally aren't in FAQ format, but can contain an
	FAQ section at the end.

	Some of these are under construction; however, if you're interested
	in working on one of them, please let me know.

	* GCC/LIBRARY HOWTO. Discussing installation/upgrading of the GCC 
	  and shared libraries under Linux. How to build shared libraries.
	  Most of the material would come from Mitchum DeSouza's GCC FAQ. 

	* KERNEL HOWTO. How to upgrade and compile the kernel. Basic kernel
	  tweaking, including how to turn on debugging output. How to decrypt
	  panic messages. Basic introduction to kernel structure and hacking.
	  (Under constructions, [email-masked]).
	
	* SERIAL HOWTO. All of the ins and outs about serial communications
	  under Linux, including use of getty for dialins. Perhaps a section
	  on FAX software. (Under construction)

	* If you have an idea for another HOWTO, please mail me!

3. Writing and submitting a HOWTO

	If you would like to write a Linux HOWTO document, there are a few
	guidelines that you should follow. 

	* Format the document neatly. HOWTOs must be available in plain 
	  ASCII format, but you are free to use a formatting tool (texinfo,
	  LameTeX, nroff) to format the document. Try to use meaningful
	  structure and organization, and write clearly. Remember that
	  many of the people reading HOWTOs do not speak English as their
	  first language.

	* Make sure that all of the information is correct. I can't stress
	  this enough. When in doubt, speculate, but make it clear that
	  you're only guessing. 

	* Make sure that you are covering the most recent version of the
	  available software. Also, be sure to include full instructions
	  on where software can be downloaded from (FTP site name, full
	  pathname). 

	* Include an FAQ section at the end, if appropriate. Many HOWTO
	  documents need an "FAQ" or "Common Problems" section to cover
	  information which can't be covered in the regular text.

	* Use other HOWTOs as a model. It is nice to have a common look and
	  feel to HOWTO documents--- this document being an example. The
	  easier the HOWTO is to browse, the more useful it will be to
	  readers.

	After you have written the HOWTO, mail it to me (Matt Welsh) at
	[email-masked]. I am the HOWTO coordinator---I will look 
	over the HOWTO, and make any editorial remarks. I will also take
	care of approving and posting the HOWTO to the various newsgroups
	and uploading the HOWTO to the FTP archive sites. Of course,
	all credit for the HOWTO will go to the author.

	It is important that you go through me when submitting a HOWTO. I
	maintain the HOWTO archives and need to keep track of what HOWTOs
	are being written and who is doing what. If you don't submit a
	HOWTO to me, I can't include it in the archive or add it to the
	HOWTO INDEX. 

	I can also help to reformat the HOWTO if needed to make it look
	nicer. :) Once I have approved the HOWTO, I will post it and
	upload it to the FTP sites. I will also send you (the author) 
	the "final" version of the HOWTO with any changes. All you have
	to do is send me periodic updates (every month or so, as needed)
	and I will take care of posting the HOWTO regularly. 

3. Miscellaneous and Legalese

	If you have questions, please feel free to mail [email-masked].
	The Linux FAQ rewrite is being coordinated by Ian Jackson, 
	[email-masked], with help from others.

	Linux HOWTOs are copyrighted by their authors. You are free to
	distribute verbatim copies of HOWTOs in any medium, provided that
	the copyright notice and authorship remains intact.